You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@cordova.apache.org by st...@apache.org on 2013/05/14 23:30:20 UTC

[1/6] ios commit: [CB-2974] Add a ./cordova/lib/list-devices project-level helper script to iOS

Updated Branches:
  refs/heads/3.0.0 af0d321d5 -> 4899f3522


[CB-2974] Add a ./cordova/lib/list-devices project-level helper script to iOS


Project: http://git-wip-us.apache.org/repos/asf/cordova-ios/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-ios/commit/aabfb168
Tree: http://git-wip-us.apache.org/repos/asf/cordova-ios/tree/aabfb168
Diff: http://git-wip-us.apache.org/repos/asf/cordova-ios/diff/aabfb168

Branch: refs/heads/3.0.0
Commit: aabfb1682f64affa55e28ccacfe963a2142dfc60
Parents: f01dad2
Author: Shazron Abdullah <sh...@apache.org>
Authored: Mon May 13 14:05:06 2013 -0700
Committer: Shazron Abdullah <sh...@apache.org>
Committed: Mon May 13 14:05:06 2013 -0700

----------------------------------------------------------------------
 bin/templates/project/cordova/lib/list-devices |   12 ++----------
 1 files changed, 2 insertions(+), 10 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-ios/blob/aabfb168/bin/templates/project/cordova/lib/list-devices
----------------------------------------------------------------------
diff --git a/bin/templates/project/cordova/lib/list-devices b/bin/templates/project/cordova/lib/list-devices
index f072230..80dd3b8 100755
--- a/bin/templates/project/cordova/lib/list-devices
+++ b/bin/templates/project/cordova/lib/list-devices
@@ -17,14 +17,6 @@
 # specific language governing permissions and limitations
 # under the License.
 #
-# Valid values for "--target" (case insensitive):
-#     "iPhone (Retina 3.5-inch)" (default)
-#     "iPhone (Retina 4-inch)"
-#     "iPhone"
-#     "iPad"
-#     "iPad (Retina)"
 
-set -e
-
-echo 'iOS: Not able to list devices through the command-line at this time.'
-exit 1
\ No newline at end of file
+system_profiler SPUSBDataType | sed -n -e '/iPad/,/Serial/p' | grep "Serial Number:" | awk -F ": " '{print $2 " iPad"}'
+system_profiler SPUSBDataType | sed -n -e '/iPhone/,/Serial/p' | grep "Serial Number:" | awk -F ": " '{print $2 " iPhone"}'


[3/6] ios commit: [CB-3339] add version to command line scripts

Posted by st...@apache.org.
[CB-3339] add version to command line scripts


Project: http://git-wip-us.apache.org/repos/asf/cordova-ios/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-ios/commit/236e12e9
Tree: http://git-wip-us.apache.org/repos/asf/cordova-ios/tree/236e12e9
Diff: http://git-wip-us.apache.org/repos/asf/cordova-ios/diff/236e12e9

Branch: refs/heads/3.0.0
Commit: 236e12e95104ea944a4aa722751098a19f0caaba
Parents: 09343c7
Author: Shazron Abdullah <sh...@apache.org>
Authored: Mon May 13 15:05:56 2013 -0700
Committer: Shazron Abdullah <sh...@apache.org>
Committed: Mon May 13 15:05:56 2013 -0700

----------------------------------------------------------------------
 bin/templates/project/cordova/version |   40 ++++++++++++++++++++++++++++
 1 files changed, 40 insertions(+), 0 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-ios/blob/236e12e9/bin/templates/project/cordova/version
----------------------------------------------------------------------
diff --git a/bin/templates/project/cordova/version b/bin/templates/project/cordova/version
new file mode 100755
index 0000000..f466559
--- /dev/null
+++ b/bin/templates/project/cordova/version
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+# 
+# http://www.apache.org/licenses/LICENSE-2.0
+# 
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#  KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+#
+# Returns the VERSION of CordovaLib used. 
+# Note: it does not work if the --shared option was used to create the project.
+#
+
+set -e
+
+CORDOVA_PATH=$( cd "$( dirname "$0" )" && pwd -P)
+PROJECT_PATH="$(dirname "$CORDOVA_PATH")"
+
+VERSION_FILE_PATH="$PROJECT_PATH/CordovaLib/VERSION"
+VERSION=$(<$VERSION_FILE_PATH)
+
+if [ -f "$VERSION_FILE_PATH" ]; then
+  echo $VERSION 
+else
+  echo "The file \"$VERSION_FILE_PATH\" does not exist."
+  exit 1
+fi
\ No newline at end of file


[4/6] ios commit: [CB-3166] Add deprecation notice for use of in config.xml in iOS

Posted by st...@apache.org.
[CB-3166] Add deprecation notice for use of <plugin> in config.xml in iOS


Project: http://git-wip-us.apache.org/repos/asf/cordova-ios/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-ios/commit/4b672e02
Tree: http://git-wip-us.apache.org/repos/asf/cordova-ios/tree/4b672e02
Diff: http://git-wip-us.apache.org/repos/asf/cordova-ios/diff/4b672e02

Branch: refs/heads/3.0.0
Commit: 4b672e02277f1666c260dbf089fbde1492df31f5
Parents: 236e12e
Author: Shazron Abdullah <sh...@apache.org>
Authored: Mon May 13 15:44:08 2013 -0700
Committer: Shazron Abdullah <sh...@apache.org>
Committed: Mon May 13 15:44:08 2013 -0700

----------------------------------------------------------------------
 CordovaLib/Classes/CDVConfigParser.m |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-ios/blob/4b672e02/CordovaLib/Classes/CDVConfigParser.m
----------------------------------------------------------------------
diff --git a/CordovaLib/Classes/CDVConfigParser.m b/CordovaLib/Classes/CDVConfigParser.m
index 2b8722a..23ae401 100644
--- a/CordovaLib/Classes/CDVConfigParser.m
+++ b/CordovaLib/Classes/CDVConfigParser.m
@@ -56,6 +56,13 @@
         if ([@"true" isEqualToString : attributeDict[@"onload"]]) {
             [self.startupPluginNames addObject:name];
         }
+        NSLog(@"\nUse of the <plugin> tag has been deprecated. Use a <feature> tag instead. Change:\n"
+            @"    <plugin name=\"%@\" value=\"%@\" />\n"
+            @"To:\n"
+            @"    <feature name=\"%@\">\n"
+            @"        <param name=\"ios-package\" value=\"%@\">\n"
+            @"    </feature>\n"
+            , attributeDict[@"name"], attributeDict[@"value"], attributeDict[@"name"], attributeDict[@"value"]);
     } else if ([elementName isEqualToString:@"feature"]) { // store feature name to use with correct parameter set
         featureName = [attributeDict[@"name"] lowercaseString];
     } else if ((featureName != nil) && [elementName isEqualToString:@"param"]) {


[2/6] ios commit: [CB-3377] Remove cordova/release script

Posted by st...@apache.org.
[CB-3377] Remove cordova/release script


Project: http://git-wip-us.apache.org/repos/asf/cordova-ios/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-ios/commit/09343c77
Tree: http://git-wip-us.apache.org/repos/asf/cordova-ios/tree/09343c77
Diff: http://git-wip-us.apache.org/repos/asf/cordova-ios/diff/09343c77

Branch: refs/heads/3.0.0
Commit: 09343c776ae439732c10efaa3816ad2257858a7f
Parents: aabfb16
Author: Shazron Abdullah <sh...@apache.org>
Authored: Mon May 13 14:07:44 2013 -0700
Committer: Shazron Abdullah <sh...@apache.org>
Committed: Mon May 13 14:07:44 2013 -0700

----------------------------------------------------------------------
 bin/templates/project/cordova/release |   51 ----------------------------
 1 files changed, 0 insertions(+), 51 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-ios/blob/09343c77/bin/templates/project/cordova/release
----------------------------------------------------------------------
diff --git a/bin/templates/project/cordova/release b/bin/templates/project/cordova/release
deleted file mode 100755
index 7263934..0000000
--- a/bin/templates/project/cordova/release
+++ /dev/null
@@ -1,51 +0,0 @@
-#!/bin/bash
-
-#
-# Licensed to the Apache Software Foundation (ASF) under one
-# or more contributor license agreements.  See the NOTICE file
-# distributed with this work for additional information
-# regarding copyright ownership.  The ASF licenses this file
-# to you under the Apache License, Version 2.0 (the
-# "License"); you may not use this file except in compliance
-# with the License.  You may obtain a copy of the License at
-# 
-# http://www.apache.org/licenses/LICENSE-2.0
-# 
-# Unless required by applicable law or agreed to in writing,
-# software distributed under the License is distributed on an
-# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-#  KIND, either express or implied.  See the License for the
-# specific language governing permissions and limitations
-# under the License.
-#
-
-#
-# compile and launch a Cordova/iOS project to the simulator
-#
-
-set -e
-
-XCODE_VER=$(xcodebuild -version | head -n 1 | sed -e 's/Xcode //')
-XCODE_MIN_VERSION="4.5"
-
-if [[ "$XCODE_VER" < "$XCODE_MIN_VERSION" ]]; then
-	echo "Cordova can only run in Xcode version $XCODE_MIN_VERSION or greater."
-	exit 1
-fi
-
-CORDOVA_PATH=$( cd "$( dirname "$0" )" && pwd -P)
-PROJECT_PATH="$(dirname "$CORDOVA_PATH")"
-XCODEPROJ=$( ls "$PROJECT_PATH" | grep .xcodeproj  )
-PROJECT_NAME=$(basename "$XCODEPROJ" .xcodeproj)
-
-cd "$PROJECT_PATH"
-
-APP=build/$PROJECT_NAME.app
-SDK=`xcodebuild -showsdks | grep Sim | tail -1 | awk '{print $6}'`
-
-xcodebuild -project $PROJECT_NAME.xcodeproj -arch i386 -target $PROJECT_NAME -configuration Release -sdk $SDK clean build VALID_ARCHS="i386" CONFIGURATION_BUILD_DIR="$PROJECT_PATH/build"
-
-
-
-
-


[5/6] ios commit: Merge branch 'master' into 3.0.0

Posted by st...@apache.org.
Merge branch 'master' into 3.0.0


Project: http://git-wip-us.apache.org/repos/asf/cordova-ios/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-ios/commit/80aae605
Tree: http://git-wip-us.apache.org/repos/asf/cordova-ios/tree/80aae605
Diff: http://git-wip-us.apache.org/repos/asf/cordova-ios/diff/80aae605

Branch: refs/heads/3.0.0
Commit: 80aae605f104da71de3dc1ca2ed6b306501858ab
Parents: af0d321 4b672e0
Author: Steven Gill <st...@gmail.com>
Authored: Tue May 14 14:28:30 2013 -0700
Committer: Steven Gill <st...@gmail.com>
Committed: Tue May 14 14:28:30 2013 -0700

----------------------------------------------------------------------
 CordovaLib/Classes/CDVConfigParser.m           |    7 +++
 bin/templates/project/cordova/lib/list-devices |   12 +----
 bin/templates/project/cordova/release          |   51 -------------------
 bin/templates/project/cordova/version          |   40 +++++++++++++++
 4 files changed, 49 insertions(+), 61 deletions(-)
----------------------------------------------------------------------



[6/6] ios commit: removed geolocation from config.xml

Posted by st...@apache.org.
removed geolocation from config.xml


Project: http://git-wip-us.apache.org/repos/asf/cordova-ios/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-ios/commit/4899f352
Tree: http://git-wip-us.apache.org/repos/asf/cordova-ios/tree/4899f352
Diff: http://git-wip-us.apache.org/repos/asf/cordova-ios/diff/4899f352

Branch: refs/heads/3.0.0
Commit: 4899f3522c5dfd880ea8939f3b0c84b5c849fc67
Parents: 80aae60
Author: Steven Gill <st...@gmail.com>
Authored: Tue May 14 14:30:11 2013 -0700
Committer: Steven Gill <st...@gmail.com>
Committed: Tue May 14 14:30:11 2013 -0700

----------------------------------------------------------------------
 bin/templates/project/__TESTING__/config.xml |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-ios/blob/4899f352/bin/templates/project/__TESTING__/config.xml
----------------------------------------------------------------------
diff --git a/bin/templates/project/__TESTING__/config.xml b/bin/templates/project/__TESTING__/config.xml
index 6f73ab6..4ffa30f 100644
--- a/bin/templates/project/__TESTING__/config.xml
+++ b/bin/templates/project/__TESTING__/config.xml
@@ -35,9 +35,6 @@
     <preference name="TopActivityIndicator" value="gray" />
 
 
-    <feature name="Geolocation">
-      <param name="ios-package" value="CDVLocation"/>
-    </feature>
     <feature name="Device">
       <param name="ios-package" value="CDVDevice"/>
     </feature>